Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009664 [DCSS] Patches feature N/A 2015-04-21 00:37 2015-11-27 15:15
Reporter Sandman25 View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.17 ancient branch
Summary 0009664: New option "confim_action"
Description I added
confirm_action += Revivific
confirm_action += Death's
to my init.txt and started getting confirmations when casting these 2 spells.

Cast which spell? (? or * to list)
About to use Borgnjor's Revivification. Continue anyway?
Okay, then.
Casting: Borgnjor's Revivification
Confirm with . or Enter, or press ? or * to list all spells.
About to use Borgnjor's Revivification. Continue anyway?
Uppercase [Y]es or [N]o only, please.
About to use Borgnjor's Revivification. Continue anyway?
Your body is healed in an amazingly painful way.

If the patch is accepted, I will be able to work on support for god abilities like Corrupt or Enter Abyss. This is why it is called "confirm_action" and not confirm_spell. Or probably we can have confirm_spell, confirm_action, confirm_evoke etc.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-New-option-confirm_action.patch [^] (3,061 bytes) 2015-04-21 00:37 [Show Content]

- Relationships

-  Notes
(0028941)
Sandman25 (reporter)
2015-04-21 00:38

*confirm_ability
(0029852)
wheals (administrator)
2015-11-26 16:21

Added in https://github.com/crawl/crawl/commit/84007457b546; [^] looking forward to the updates.
(0029877)
Sandman25 (reporter)
2015-11-27 15:15

Thanks, wheals!

- Issue History
Date Modified Username Field Change
2015-04-21 00:37 Sandman25 New Issue
2015-04-21 00:37 Sandman25 File Added: 0001-New-option-confirm_action.patch
2015-04-21 00:38 Sandman25 Note Added: 0028941
2015-11-26 16:21 wheals Note Added: 0029852
2015-11-26 16:21 wheals Status new => resolved
2015-11-26 16:21 wheals Fixed in Branch => 0.18 development branch
2015-11-26 16:21 wheals Resolution open => done
2015-11-26 16:21 wheals Assigned To => wheals
2015-11-27 15:15 Sandman25 Note Added: 0029877
2015-11-27 15:15 Sandman25 Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker